/* information about all the audio and video codec files installed on a computer. */

strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")

colItems = objWMIService~ExecQuery("Select * from Win32_CodecFile")

DO objItem OVER colItems
	SAY "Access Mask:" objItem~AccessMask
	SAY "Archive:" objItem~Archive
	SAY "Caption:" objItem~Caption
	SAY "Creation Date:" WMIDateStringToDate(objItem~CreationDate)
	SAY "Drive:" objItem~Drive
	SAY "Short Filename:" objItem~EightDotThreeFileName
	SAY "Extension:" objItem~Extension
	SAY "File Name:" objItem~FileName
	SAY "File Size:" objItem~FileSize
	SAY "File Type:" objItem~FileType
	SAY "File System Name:" objItem~FSName
	SAY "Group: " objItem~Group
	SAY "Hidden: " objItem~Hidden
	SAY "Install date:" WMIDateStringToDate(objItem~InstallDate)
	SAY "Last Accessed:" WMIDateStringToDate(objItem~LastAccessed)
	SAY "Last Modified:" WMIDateStringToDate(objItem~LastModified)
	SAY "Manufacturer:" objItem~Manufacturer
	SAY "Name:" objItem~Name
	SAY "Path:" objItem~Path
	SAY "Version:" objItem~Version
	SAY
END
RETURN
 
WMIDateStringToDate:
	dtmDate = ARG(1)
	RETURN SubStr(dtmDate, 5, 2) || "/" || SubStr(dtmDate, 7, 2) || "/" || Left(dtmDate, 4) || " " || SubStr(dtmDate, 9, 2) || ":" || SubStr(dtmDate, 11, 2) || ":" || SubStr(dtmDate, 13, 2)

