/*
 * Displays a list of software that was installed on a computer using Windows Installer.
 */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colSoftware = objWMIService~ExecQuery("Select * from Win32_Product")
DO objSoftware OVER colSoftware
	SAY "Caption:" objSoftware~Caption
	SAY "Description:" objSoftware~Description
	SAY "Identifying Number:" objSoftware~IdentifyingNumber
	SAY "Install Date:" objSoftware~InstallDate2
	SAY "Install Location:" objSoftware~InstallLocation
	SAY "Install State:" objSoftware~InstallState
	SAY "Name:" objSoftware~Name
	SAY "Package Cache:" objSoftware~PackageCache
	SAY "SKU Number:" objSoftware~SKUNumber
	SAY "Vendor:" objSoftware~Vendor
	SAY "Version:" objSoftware~Version
	SAY
END