/* Lists all the device providers for the fax server atl-dc-02. */
objFaxServer = CreateComObject("FaxComEx.FaxServer")
objFaxServer~Connect("atl-dc-02")
objDeviceProviders = objFaxServer~GetDeviceProviders()
DO objFaxDeviceProvider OVER objDeviceProviders
	SAY "Debug:" objFaxDeviceProvider~Debug
	SAY "Friendly name:" objFaxDeviceProvider~FriendlyName
	SAY "Image name:" objFaxDeviceProvider~ImageName
	SAY "Initialization error code:" objFaxDeviceProvider~InitErrorCode
	SAY "Major build:" objFaxDeviceProvider~MajorBuild
	SAY "Minor build:" objFaxDeviceProvider~MinorBuild
	SAY "Major version:" objFaxDeviceProvider~MajorVersion
	SAY "Minor version:" objFaxDeviceProvider~MinorVersion
	SAY "Status:" objFaxDeviceProvider~Status
	SAY "TAPI provider name:" objFaxDeviceProvider~TAPIProviderName
	SAY "Unique name:" objFaxDeviceProvider~UniqueName
	SAY
END